aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2014-11-12 17:14:36 -0700
committerChristoph Junghans <ottxor@gentoo.org>2014-11-12 17:14:36 -0700
commitd6271b8ddc71324918a20e5d64616cfaf9ef2296 (patch)
treed7013790956b69610c285eae07c5df7566e2e683 /dev-cpp/icnc
parentHandling of 32-bit versus 64-bit integers in sci-chemistry/nwchem-6.5_p26243-... (diff)
downloadsci-d6271b8ddc71324918a20e5d64616cfaf9ef2296.tar.gz
sci-d6271b8ddc71324918a20e5d64616cfaf9ef2296.tar.bz2
sci-d6271b8ddc71324918a20e5d64616cfaf9ef2296.zip
added IUSE=mpi
Package-Manager: portage-2.2.8-r2
Diffstat (limited to 'dev-cpp/icnc')
-rw-r--r--dev-cpp/icnc/ChangeLog3
-rw-r--r--dev-cpp/icnc/icnc-9999.ebuild11
2 files changed, 11 insertions, 3 deletions
diff --git a/dev-cpp/icnc/ChangeLog b/dev-cpp/icnc/ChangeLog
index 60296b976..210238b5a 100644
--- a/dev-cpp/icnc/ChangeLog
+++ b/dev-cpp/icnc/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 13 Nov 2014; Christoph Junghans <ottxor@gentoo.org> icnc-9999.ebuild:
+ added IUSE=mpi
+
30 Sep 2014; Christoph Junghans <ottxor@gentoo.org> icnc-9999.ebuild:
live ebuild update
diff --git a/dev-cpp/icnc/icnc-9999.ebuild b/dev-cpp/icnc/icnc-9999.ebuild
index b1ffcd528..97fe17a23 100644
--- a/dev-cpp/icnc/icnc-9999.ebuild
+++ b/dev-cpp/icnc/icnc-9999.ebuild
@@ -20,18 +20,23 @@ fi
LICENSE="BSD"
SLOT="0"
-IUSE=""
+IUSE="mpi"
+# https://github.com/icnc/icnc/issues/14 OpenMPI not supported, only *ch implementation
DEPEND="
>=dev-cpp/tbb-4.2
sys-libs/glibc
+ mpi? ( || (
+ sys-cluster/mpich
+ sys-cluster/mpich2
+ sys-cluster/mvapich2
+ ) )
"
RDEPEND="${DEPEND}"
src_configure() {
-#TODO has mpi support but broken with virtual/mpi
-# $(cmake-utils_use mpi BUILD_LIBS_FOR_MPI)
local mycmakeargs=(
+ $(cmake-utils_use mpi BUILD_LIBS_FOR_MPI)
-DLIB=$(get_libdir)
)
cmake-utils_src_configure